{
  "schema_version": "1.4.0",
  "id": "GHSA-qcm7-3c5w-vhg7",
  "modified": "2025-04-12T12:46:35Z",
  "published": "2022-05-14T02:06:51Z",
  "aliases": [
    "CVE-2015-2305"
  ],
  "details": "Integer overflow in the regcomp implementation in the Henry Spencer BSD regex library (aka rxspencer) alpha3.8.g5 on 32-bit platforms, as used in NetBSD through 6.1.5 and other products, might allow context-dependent attackers to execute arbitrary code via a large regular expression that leads to a heap-based buffer overflow.",
  "severity": [],
  "affected": [],
  "references": [
    {
      "type": "ADVISORY",
      "url": "https://nvd.nist.gov/vuln/detail/CVE-2015-2305"
    },
    {
      "type": "WEB",
      "url": "https://guidovranken.wordpress.com/2015/02/04/full-disclosure-heap-overflow-in-h-spencers-regex-library-on-32-bit-systems"
    },
    {
      "type": "WEB",
      "url": "https://support.apple.com/HT205267"
    },
    {
      "type": "WEB",
      "url": "http://blog.clamav.net/2015/04/clamav-0987-has-been-released.html"
    },
    {
      "type": "WEB",
      "url": "http://lists.apple.com/archives/security-announce/2015/Sep/msg00008.html"
    },
    {
      "type": "WEB",
      "url": "http://lists.opensuse.org/opensuse-security-announce/2015-05/msg00005.html"
    },
    {
      "type": "WEB",
      "url": "http://lists.opensuse.org/opensuse-security-announce/2015-05/msg00026.html"
    },
    {
      "type": "WEB",
      "url": "http://lists.opensuse.org/opensuse-updates/2015-04/msg00002.html"
    },
    {
      "type": "WEB",
      "url": "http://lists.opensuse.org/opensuse-updates/2015-05/msg00024.html"
    },
    {
      "type": "WEB",
      "url": "http://marc.info/?l=bugtraq&m=143403519711434&w=2"
    },
    {
      "type": "WEB",
      "url": "http://openwall.com/lists/oss-security/2015/02/07/14"
    },
    {
      "type": "WEB",
      "url": "http://openwall.com/lists/oss-security/2015/03/11/8"
    },
    {
      "type": "WEB",
      "url": "http://php.net/ChangeLog-5.php"
    },
    {
      "type": "WEB",
      "url": "http://rhn.redhat.com/errata/RHSA-2015-1053.html"
    },
    {
      "type": "WEB",
      "url": "http://rhn.redhat.com/errata/RHSA-2015-1066.html"
    },
    {
      "type": "WEB",
      "url": "http://www.debian.org/security/2015/dsa-3195"
    },
    {
      "type": "WEB",
      "url": "http://www.kb.cert.org/vuls/id/695940"
    },
    {
      "type": "WEB",
      "url": "http://www.oracle.com/technetwork/topics/security/linuxbulletinjan2016-2867209.html"
    },
    {
      "type": "WEB",
      "url": "http://www.securityfocus.com/bid/72611"
    },
    {
      "type": "WEB",
      "url": "http://www.securitytracker.com/id/1031947"
    },
    {
      "type": "WEB",
      "url": "http://www.ubuntu.com/usn/USN-2572-1"
    },
    {
      "type": "WEB",
      "url": "http://www.ubuntu.com/usn/USN-2594-1"
    }
  ],
  "database_specific": {
    "cwe_ids": [
      "CWE-190"
    ],
    "severity": "MODERATE",
    "github_reviewed": false,
    "github_reviewed_at": null,
    "nvd_published_at": "2015-03-30T10:59:00Z"
  }
}